function love.load()
   require 'camera'
   --tables
   	g=love.graphics
	k={}
	k.x=100
	k.y=100
	k.w=100
	k.h=100
	k.crabs = love.graphics.newImage( 'crabs.png' )
	k.crabs:setFilter('nearest','nearest')
	k.speed=250
	
	--images
	image1 = g.newImage( 'b1.png' )
	image2 = g.newImage( 'b2.png' )
	image3 = g.newImage( 'b3.png' )
	image4 = g.newImage( 'b4.png' )
	
	--camera limits
	Xstop=true
	Ystop=true
	--pause images
	pause =g.newImage("pause.png")
	
	--pause variable
	pauseON = true
end

function love.draw()
	camera:set()
	g.setColor(255,255,255,255)
	g.draw( image1,0,0)
	g.draw( image2,800,0)
	g.draw( image3,0,500)
	g.draw( image4,800,500)	
	g.setColor(255,255,255,255)
	g.rectangle('line',k.x,k.y,k.w,k.h)
	g.draw(k.crabs,k.x,k.y)
	camera:unset()
	
	
	--display X,Y
	g.setColor(0,0,0,255)
	g.print(k.x,0,20)
	g.print(k.y,0,40)
	g.print("TAP 'P' TO PAUSE",0,0)
	--pause
	if pauseON== false then
		g.draw( pause,300 , 600/2)
	end
	
end

function love.update(dt)
	if pauseON== true then
	
		if love.keyboard.isDown("d") then
			k.x=k.x+k.speed*dt
		end
		if love.keyboard.isDown("a") then
			k.x=k.x-k.speed*dt
		end
		if love.keyboard.isDown("w") then
			k.y=k.y-k.speed*dt
		end
		if love.keyboard.isDown("s") then
			k.y=k.y+k.speed*dt
		end
	
		if Xstop==true then
			if k.x > g.getWidth()/2 then
				camera.x =k.x-love.graphics.getWidth()/2
			end
		end
		if Ystop==true then
			if k.y > g.getHeight()/2 then
				camera.y =k.y-love.graphics.getHeight()/2
			end
		end
	
		if k.x >= 1200 then
			Xstop=false
		else
			Xstop=true
		end
		if k.y >= 750 then
			Ystop=false
		else
			Ystop=true
		end
	
	end
end

function love.keypressed(key, unicode)
	--pause action key
    if key == "p" then
        if pauseON then
          pauseON = false
        else
          pauseON = true
        end
    end
end